/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';

:host {
  @extend .transition-entrance;
  background-color: var(--nv-theme-alt-2);
  box-sizing: border-box !important;
  display: flex;
  max-width: 100%;
  min-height: 42px;
  padding: $space-sm $space-default;
  position: relative;
  transition-property: background-color height opacity padding visibility;
  width: 100%;

  &:first-child {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
  }

  // Separator
  &:not(:last-child)::before {
    background-color: var(--nv-border-color);
    bottom: 0;
    content: '';
    height: 1px;
    left: 0;
    margin: 0 #{$space-default};
    position: absolute;
    width: calc(100% - (#{$space-default} * 2));
  }

  div {
    align-items: center;
    display: flex;
    overflow: hidden;
    pointer-events: none;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
  }
}

:host::before {
  background-color: var(--nv-border-color);
  bottom: 0;
  content: '';
  height: 1px;
  left: 0;
  margin: 0 #{$space-default};
  position: absolute;
  width: calc(100% - #{$space-default} * 2);
}

:host(:hover) {
  @extend .transition-moviment;
  background-color: var(--nv-theme-primary);
  color: $white;

  // Separator
  &::before {
    opacity: 0;
  }
}

:host(.nv-select-item-disabled) {
  cursor: default;
  opacity: 0.55;

  &:hover {
    background-color: inherit;
    color: inherit;
  }
}

:host(.nv-select-item-selected) {
  background-color: var(--nv-theme-primary);
  color: $white;

  // Separator
  &::before {
    opacity: 0;
  }
}

//
// Hidden
//

:host(.nv-select-item-hidden) {
  @extend .transition-exit;
  height: 0;
  opacity: 0;
  overflow: hidden;
  padding: 0 $space-default !important;
  visibility: hidden;
}
